OGRE-Next: Ogre::v1::GLES2TextureBuffer Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::GLES2TextureBuffer Class Reference

Texture surface. More...

`#include <OgreGLES2TextureBuffer.h>`

Inheritance diagram for Ogre::v1::GLES2TextureBuffer:
[legend]

## Public Member Functions
| GLES2TextureBuffer (const String &baseName, GLenum target, GLuint id, GLint width, GLint height, GLint depth, GLint internalFormat, GLint format, GLint face, GLint level, Usage usage, bool softwareMipmap, bool writeGamma, uint fsaa)
| Texture constructor.
virtual | ~GLES2TextureBuffer ()
void | _clearSliceRTT (size_t zoffset)
| Notify TextureBuffer of destruction of render target.
virtual void | bindToFramebuffer (GLenum attachment, uint32 zoffset)
| Bind surface to frame buffer.
void | blit (const HardwarePixelBufferSharedPtr &src, const Box &srcBox, const Box &dstBox)
virtual void | blitFromMemory (const PixelBox &src_orig, const Box &dstBox)
| Hardware implementation of blitFromMemory.
void | blitFromTexture (GLES2TextureBuffer *src, const Box &srcBox, const Box &dstBox)
void | copyFromFramebuffer (uint32 zoffset)
virtual void | download (const PixelBox &data)
| Download a box of pixels from the card.
RenderTexture * | getRenderTarget (size_t slice)
virtual void | upload (const PixelBox &data, const Box &dest)
| Upload a box of pixels to this buffer on the card.
Public Member Functions inherited from Ogre::v1::GLES2HardwarePixelBuffer
| GLES2HardwarePixelBuffer (uint32 mWidth, uint32 mHeight, uint32 mDepth, PixelFormat mFormat, bool hwGamma, HardwareBuffer::Usage usage)
| Should be called by HardwareBufferManager.
virtual | ~GLES2HardwarePixelBuffer ()
void | blitFromMemory (const PixelBox &src, const Box &dstBox)
void | blitToMemory (const Box &srcBox, const PixelBox &dst)
GLenum | getGLFormat ()

## Detailed Description

Texture surface.

## Constructor & Destructor Documentation

## ◆ GLES2TextureBuffer()

Ogre::v1::GLES2TextureBuffer::GLES2TextureBuffer | ( | const String & | baseName,
|  | GLenum | target,
|  | GLuint | id,
|  | GLint | width,
|  | GLint | height,
|  | GLint | depth,
|  | GLint | internalFormat,
|  | GLint | format,
|  | GLint | face,
|  | GLint | level,
|  | Usage | usage,
|  | bool | softwareMipmap,
|  | bool | writeGamma,
|  | uint | fsaa )

Texture constructor.

Referenced by blitFromTexture().

## ◆ ~GLES2TextureBuffer()

virtual Ogre::v1::GLES2TextureBuffer::~GLES2TextureBuffer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _clearSliceRTT()

void Ogre::v1::GLES2TextureBuffer::_clearSliceRTT | ( | size_t | zoffset | ) |
| inline

Notify TextureBuffer of destruction of render target.

## ◆ bindToFramebuffer()

virtual void Ogre::v1::GLES2TextureBuffer::bindToFramebuffer | ( | GLenum | attachment,
|  | uint32 | zoffset )
| virtual

Bind surface to frame buffer.

Needs FBO extension.

Reimplemented from Ogre::v1::GLES2HardwarePixelBuffer.

## ◆ blit()

void Ogre::v1::GLES2TextureBuffer::blit | ( | const HardwarePixelBufferSharedPtr & | src,
|  | const Box & | srcBox,
|  | const Box & | dstBox )

## ◆ blitFromMemory()

virtual void Ogre::v1::GLES2TextureBuffer::blitFromMemory | ( | const PixelBox & | src_orig,
|  | const Box & | dstBox )
| virtual

Hardware implementation of blitFromMemory.

## ◆ blitFromTexture()

void Ogre::v1::GLES2TextureBuffer::blitFromTexture | ( | GLES2TextureBuffer * | src,
|  | const Box & | srcBox,
|  | const Box & | dstBox )

References GLES2TextureBuffer().

## ◆ copyFromFramebuffer()

void Ogre::v1::GLES2TextureBuffer::copyFromFramebuffer | ( | uint32 | zoffset | ) |

## ◆ download()

virtual void Ogre::v1::GLES2TextureBuffer::download | ( | const PixelBox & | data | ) |
| virtual

Download a box of pixels from the card.

Reimplemented from Ogre::v1::GLES2HardwarePixelBuffer.

## ◆ getRenderTarget()

RenderTexture * Ogre::v1::GLES2TextureBuffer::getRenderTarget | ( | size_t | slice | ) |

## ◆ upload()

virtual void Ogre::v1::GLES2TextureBuffer::upload | ( | const PixelBox & | data,
|  | const Box & | dest )
| virtual

Upload a box of pixels to this buffer on the card.

Reimplemented from Ogre::v1::GLES2HardwarePixelBuffer.

The documentation for this class was generated from the following file:

- OgreGLES2TextureBuffer.h